Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.state
Class PortletWindowNavigationalState

    java.lang.Object
      org.jboss.portal.portlet.controller.state.PortletWindowNavigationalState

All Implemented Interfaces:
  java.io.Serializable

    public class PortletWindowNavigationalState

extends java.lang.Object
implements java.io.Serializable

The navigational state of a window that contains the portlet navigational state, the mode and window state. This class is immutable.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`PortletWindowNavigationalState()`
`PortletWindowNavigationalState(StateString portletNavigationalState, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState)`

Method Summary
`org.jboss.portal.Mode` | `getMode()`
`StateString` | `getPortletNavigationalState()`
`org.jboss.portal.WindowState` | `getWindowState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletWindowNavigationalState

    public PortletWindowNavigationalState()

### PortletWindowNavigationalState

    public PortletWindowNavigationalState(StateString portletNavigationalState,
                                          org.jboss.portal.Mode mode,
                                          org.jboss.portal.WindowState windowState)

Method Detail

### getPortletNavigationalState

    public StateString getPortletNavigationalState()

### getMode

    public org.jboss.portal.Mode getMode()

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.